--- title: "Get version upgrade status" slug: "ses-getrollingupgradeprogress" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-getrollingupgradeprogress" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get version upgrade status Available in VPC Check the progress status of the rolling upgrade of a search engine (OpenSearch) cluster version. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/getRollingUpgradeProgress (Korea Region) | | POST | /api/sgn-v2/cluster/getRollingUpgradeProgress (Singapore Region) | | POST | /api/jpn-v2/cluster/getRollingUpgradeProgress (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Required | Region number - See [Get Region list](/docs/en/analytics-vpcsearchengine-cluster-getregionlist). | | `serviceGroupInstanceNo` | String | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getRollingUpgradeProgress' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "regionNo": "1", "serviceGroupInstanceNo": "1037*****" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.name` | String | - | Cluster name | | `result.nodeCount` | Integer | - | Total number of nodes in the cluster | | `result.versionVo` | Object | - | Search engine version information | | `result.versionVo.currentVersionCode` | String | - | Search engine version code before upgrade | | `result.versionVo.targetVersionCode` | String | - | Search engine version code after upgrade | | `result.versionVo.actionDate` | String | - | Job date and time - yyyy-MM-dd HH:mm:ss format | | `result.nodeStatusVoList` | Array | - | Status information by node: [nodeStatusVoList](/docs/en/ses-getrollingupgradeprogress#resultnodeStatusVoList) | | `requestId` | String | - | ID for the request - UUID format | #### `nodeStatusVoList` The following describes `nodeStatusVoList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `hostname` | String | - | Server name | | `status` | String | - | Condition | | `nodeRoleCode` | String | - | Node type code - `M` \| `D` \| `DO` \| `MO` - `M`: Manager node - `D`, `DO`: Data node - `MO`: Master node | | `updatedDate` | String | - | Last update date and time - yyyy-MM-dd HH:mm:ss format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "name": "cluster000", "nodeCount": 8, "versionVo": { "currentVersionCode": "2140", "targetVersionCode": "2150", "actionDate": "2025-03-24 17:09:41" }, "nodeStatusVoList": [ { "hostname": "cluster000-mo-6tnk", "status": "complete", "nodeRoleCode": "MO", "updatedDate": "2025-03-24 17:11:28" }, { "hostname": "cluster000-mo-6tnl", "status": "Upgrade_OpenSearch", "nodeRoleCode": "MO", "updatedDate": "2025-03-24 17:11:28" }, { "hostname": "cluster000-do-6tnm", "status": "running", "nodeRoleCode": "DO", "updatedDate": "2025-03-24 16:35:53" }, { "hostname": "cluster000-do-6tnn", "status": "running", "nodeRoleCode": "DO", "updatedDate": "2025-03-24 16:35:59" }, { "hostname": "cluster000-do-6tno", "status": "running", "nodeRoleCode": "DO", "updatedDate": "2025-03-24 16:36:06" }, { "hostname": "cluster000-m-6tnh", "status": "running", "nodeRoleCode": "M", "updatedDate": "2025-03-24 16:36:16" }, { "hostname": "cluster000-m-6tni", "status": "running", "nodeRoleCode": "M", "updatedDate": "2025-03-24 16:36:21" }, { "hostname": "cluster000-mo-6tnj", "status": "running", "nodeRoleCode": "MO", "updatedDate": "2025-03-24 16:36:11" } ] }, "requestId": "da7b5fcb-****-****-****-63ed6f14d4b1" } ```